<!DOCTYPE html>
<html lang="en">
	<head>
	    <meta charset="UTF-8">
	    <title>Keyboard Events</title>
	
	    <!-- ==== Css files ==== -->
	    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
	    <link rel="stylesheet" type="text/css" href="../resource/css/mystyle.css">
	
	    <!-- ==== JavaScript files ==== -->
	    <script src="../resource/js/jquery-3.3.1.min.js"></script>
	    <script>
	        i = 0;
	        $(document).ready(function(){
	            $("#name").keydown(function(){
	                $(this).css("background-color", "#CCFFCC");
	            });
	            $("#name").keyup(function(){
	                $(this).css("background-color", "#FFCCFF");
	            });
	
	            $("#name").keypress(function(){
	                $("#outputText").text(i += 1);
	            });
	        });
	    </script>
	</head>
	<body>
		<div class="container">
		    <h2 class="text-primary text-align">jQuery Keyboard Events Example</h2><hr />
		    <div>&nbsp;</div>
		
		    <!-- ==== jQuery Keyboard Events Example ==== --->
		    <h5>Click on input text and press key-down and key-up</h5>
		    <div>&nbsp;</div>
		    <label for="name">Enter Name: </label><input id="name" type="text" class="form-control" /><div>&nbsp;</div>
		
		    <p>Key-press count is= <span id="outputText"></span></p>
		</div>
	</body>
</html>