<!DOCTYPE html>
<html lang="en">
	<head>	    
	    <title>Form Events</title>
	    <meta charset="UTF-8">
	
	    <!-- ==== Css files ==== -->
	    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
	    <link rel="stylesheet" type="text/css" href="../resource/css/mystyle.css">    
	
	    <!-- ==== JavaScript files ==== -->
	    <script src="../resource/js/jquery-3.3.1.min.js"></script>
	    <script src="../resource/js/form_event.js"></script>
	</head>
	<body>
		<div class="container">
		    <h2 class="text-primary text-align">jQuery Form Events Example</h2><hr />
		    <div>&nbsp;</div>
		
		    <!-- ==== jQuery Form Events Example ==== --->
		    <div class="form-row">
		        <div class="col">
		            <input id="blur" type="text" class="form-control" placeholder="Blur Event" />
		        </div>
		        <div class="col">
		            <input id="change" type="text" class="form-control" placeholder="Change Event" />
		        </div>
		        <div class="col">
		            <input id="focus" type="text" class="form-control" placeholder="Focus Event" />
		        </div>
		        <div class="col">
		            <input id="selectval" type="text" class="form-control" value="Select me!" disabled />
		        </div>
		    </div>
		    <div>&nbsp;</div>
		
		    <form id="myform" action="#">
		        <div class="form-row">
		            <div class="col">
		                <input id="first" type="text" class="form-control" placeholder="First Name" />
		            </div>
		            <div class="col">
		                <input id="second" type="text" class="form-control" placeholder="Last name" />
		            </div>
		            <div class="col">
		                <button type="submit" class="btn btn-default">Submit</button>
		            </div>
		        </div>
		    </form>
		    <div>&nbsp;</div>
		    
		    <div id="formResult">
		        <h5 id="result"></h5>
		    </div>
		</div>
	</body>
</html>