<!DOCTYPE html>
<html lang="en">
	<head>
	    <meta charset="UTF-8">
	    <title>Mouse Events</title>
	
	    <!-- ==== Css files ==== -->
	    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
	    <link rel="stylesheet" type="text/css" href="../resource/css/mystyle.css">
	
	    <!-- ==== JavaScript files ==== -->
	    <script src="../resource/js/jquery-3.3.1.min.js"></script>
	    <script>
	        $(document).ready(function(){
	            $("p").on({
	                mouseenter: function(){
	                    $(this).css("background-color", "lightgray");
	                },
	                mouseleave: function(){
	                    $(this).css("background-color", "lightblue");
	                },
	                click: function(){
	                    $(this).css("background-color", "yellow");
	                },
	                dblclick: function(){
	                    $(this).hide();
	                }
	            });
	        });
	    </script>
	</head>
	<body>
		<div class="container">
		    <h2 class="text-primary text-align">jQuery Mouse Events Example</h2><hr />
		    <div>&nbsp;</div>
		
		    <!-- ==== jQuery Mouse Events Example ==== --->
		    <p>DblClick or Click or Move the mouse pointer over this paragraph.</p>
		</div>
	</body>
</html>